- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# matrix – Send notifications to matrix

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- This module sends html formatted notifications to matrix rooms.

## Requirements

The below requirements are needed on the host that executes this module.

- matrix-client (Python library)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hs_url - / required |  | URL of the homeserver, where the CS-API is reachable
msg_html - / required |  | HTML form of the message to send to matrix
msg_plain - / required |  | Plain text form of the message to send to matrix, usually markdown
password - |  | The password to log in with
room_id - / required |  | ID of the room to send the notification to
token - |  | Authentication token for the API call. If provided, user_id and password are not required
user_id - |  | The user id of the user

## Examples

    - name: Send matrix notification with token
      matrix:
        msg_plain: "**hello world**"
        msg_html: "<b>hello world</b>"
        room_id: "!12345678:server.tld"
        hs_url: "https://matrix.org"
        token: "{{ matrix_auth_token }}"

    - name: Send matrix notification with user_id and password
      matrix:
        msg_plain: "**hello world**"
        msg_html: "<b>hello world</b>"
        room_id: "!12345678:server.tld"
        hs_url: "https://matrix.org"
        user_id: "ansible_notification_bot"
        password: "{{ matrix_auth_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jan Christian Grünhage (@jcgruenhage)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.